X2Go Bug report logs - #316
Can't see session icon in shadow sessions

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>

Date: Fri, 4 Oct 2013 11:48:02 UTC

Severity: normal

Tags: moreinfo, pending

Found in version 4.1.0

Fixed in version 4.0.1.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Fri, 04 Oct 2013 11:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 04 Oct 2013 11:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: submit@bugs.x2go.org
Subject: Can't see session icon in shadow sessions
Date: Fri, 4 Oct 2013 12:33:56 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.1.0
Tag: patch

When you launch a session using .desktop file (session saved as a launcher
in the desktop) you can't see the tray icon though you choose this option
in x2go settings

Attaching patch to solve this issue.
[Message part 2 (text/html, inline)]
[0002-tray-icon-doesn-t-see-on-shadow-sessions.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Tue, 29 Oct 2013 14:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 29 Oct 2013 14:33:02 GMT) (full text, mbox, link).


Message #10 received at 316@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>, 316@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#316: Can't see session icon in shadow sessions
Date: Tue, 29 Oct 2013 14:30:12 +0000
[Message part 1 (text/plain, inline)]
tag #316 moreinfo
tag #316 - patch
thanks

Hi Ricardo,

On  Fr 04 Okt 2013 13:33:56 CEST, Ricardo Díaz Martín wrote:

> Package: x2goclient
> Version: 4.1.0
> Tag: patch
>
> When you launch a session using .desktop file (session saved as a launcher
> in the desktop) you can't see the tray icon though you choose this option
> in x2go settings
>
> Attaching patch to solve this issue.

I have looked at your patch (and the concept behind it) more closely.  
Your current patch will break setups where people launch X2Go Client  
via a .desktop file and expect no traces of X2Go Client to be seen on  
screen apart from the session itself.

Suggestions: introduce a new cmdline option --tray-icon. This Option  
activates the tray icon even if it is disabled in the  
~/.x2goclient/settings file. In combination with --hide the  
--tray-icon command then makes the tray icon visible for hidden X2Go  
Client instances.

How about that?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 29 Oct 2013 14:33:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Wed, 30 Oct 2013 07:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 30 Oct 2013 07:18:02 GMT) (full text, mbox, link).


Message #17 received at 316@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 316@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#316: Can't see session icon in shadow sessions
Date: Wed, 30 Oct 2013 08:14:09 +0100
[Message part 1 (text/plain, inline)]
tag #316 moreinfo
tag #316 - patch

Hi Mike,

Yes, I think the way you said will be better. So I'm going to add this
command line option and make a new patch ;-)




2013/10/29 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> tag #316 moreinfo
> tag #316 - patch
> thanks
>
> Hi Ricardo,
>
>
> On  Fr 04 Okt 2013 13:33:56 CEST, Ricardo Díaz Martín wrote:
>
>  Package: x2goclient
>> Version: 4.1.0
>> Tag: patch
>>
>> When you launch a session using .desktop file (session saved as a launcher
>> in the desktop) you can't see the tray icon though you choose this option
>> in x2go settings
>>
>> Attaching patch to solve this issue.
>>
>
> I have looked at your patch (and the concept behind it) more closely. Your
> current patch will break setups where people launch X2Go Client via a
> .desktop file and expect no traces of X2Go Client to be seen on screen
> apart from the session itself.
>
> Suggestions: introduce a new cmdline option --tray-icon. This Option
> activates the tray icon even if it is disabled in the
> ~/.x2goclient/settings file. In combination with --hide the --tray-icon
> command then makes the tray icon visible for hidden X2Go Client instances.
>
> How about that?
>
> Mike
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Wed, 30 Oct 2013 08:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 30 Oct 2013 08:18:02 GMT) (full text, mbox, link).


Message #22 received at 316@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
Cc: 316@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#316: Can't see session icon in shadow sessions
Date: Wed, 30 Oct 2013 08:10:55 +0000
[Message part 1 (text/plain, inline)]
Hi Ricardo,

On  Mi 30 Okt 2013 08:14:09 CET, Ricardo Díaz Martín wrote:

> Yes, I think the way you said will be better. So I'm going to add this
> command line option and make a new patch ;-)

Cool.

Thanks!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Wed, 30 Oct 2013 09:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 30 Oct 2013 09:33:01 GMT) (full text, mbox, link).


Message #27 received at 316@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 316@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#316: Can't see session icon in shadow sessions
Date: Wed, 30 Oct 2013 10:21:39 +0100
[Message part 1 (text/plain, inline)]
tag #316 - patch

Mike,

Attaching the new patch.

Now there is new command line parameter --tray-icon for x2goclient. When
x2goclient find this parameter tray icon will be shown (also when --hide
parameter is present too).

When x2goclient asking about create desktop icon in hide mode there is a
new checkbox to set if desktop launcher is going to show tray icon or not
(default is not).

So take a look and tell me something about.

Cheers!

2013/10/30 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> Hi Ricardo,
>
>
> On  Mi 30 Okt 2013 08:14:09 CET, Ricardo Díaz Martín wrote:
>
>  Yes, I think the way you said will be better. So I'm going to add this
>> command line option and make a new patch ;-)
>>
>
> Cool.
>
> Thanks!
>
> Mike
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>
[Message part 2 (text/html, inline)]
[0003-tray-icon-comand-line.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Wed, 30 Oct 2013 11:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 30 Oct 2013 11:18:02 GMT) (full text, mbox, link).


Message #32 received at 316@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 316-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 316@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 30 Oct 2013 12:10:53 +0100 (CET)
tag #316 pending
fixed #316 4.0.1.2
thanks

Hello,

X2Go issue #316 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=24561cc

The issue will most likely be fixed in src:x2goclient (4.0.1.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 24561ccdeb367345797ead5db7ad5305b962135d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Oct 30 12:10:17 2013 +0100

    New option --tray-icon. Force showing the tray icon, even for hidden sessions. Also allow creation of .desktop files with --tray-icon optionally being enabled. (Fixes: #316).

diff --git a/debian/changelog b/debian/changelog
index 09fc5e0..a772355 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -20,6 +20,9 @@ x2goclient (4.0.1.2-0~x2go2) UNRELEASED; urgency=low
   * New upstream versino (4.0.1.2):
     - Strip whitespaces off of user name, host name and other
       strings when loading / saving session profiles.(Fixes: #315).
+    - New option --tray-icon. Force showing the tray icon, even for
+      hidden sessions. Also allow creation of .desktop files with
+      --tray-icon optionally being enabled. (Fixes: #316).
 
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.2):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 30 Oct 2013 11:18:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 30 Oct 2013 11:18:02 GMT) (full text, mbox, link).


Message sent on to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Bug#316. (Wed, 30 Oct 2013 11:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#316; Package x2goclient. (Tue, 17 Dec 2013 15:03:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 17 Dec 2013 15:03:03 GMT) (full text, mbox, link).


Message #44 received at 316@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 316-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 316@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 17 Dec 2013 15:55:21 +0100 (CET)
close #316
thanks

Hello,

we are very hopeful that X2Go issue #316 reported by you
has been resolved in the new release (4.0.1.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=34591fd62844b2b955e6a4bf3cf44d4759c5e44c;hp=d5ff7886ae22a1e36541570e7095fac9860af6e8

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.2-0x2go2
Status: RELEASE
Date: Tue, 17 Dec 2013 15:21:38 +0100
Fixes: 139 230 241 311 315 316 328 333
Changes: 
 x2goclient (4.0.1.2-0x2go2) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.2):
     - Provide Keywords: key in .desktop file.
     - Add NSIS packaging files for win32 builds to source tree.
       (Files provided by Oleksandr Shneyder, thanks!!!).
     - Rename win32 desktop and startmenu icon from "X2goClient" to "X2Go
       Client".
     - Store broker HTTPS certificate exceptions in
       $HOME/.x2go/ssl/exceptions (before: $HOME/ssl/exceptions).
       (Fixes: #328).
     - Perform sanity checks on data that comes in from X2Go Servers.
       Prohibit the execution of arbitrary code via the ~/.bashrc file.
       (Fixes: #333).
     - Add option --broker-cacertfile. Allow usage of non-system-wide
       installed (self-signed) SSL certificate chains for https (SSL)
       session broker connections. (Fixes: #311).
     - Update man page for new --tray-icon cmdline option.
     - Update man page for --broker-url. Explain the syntax of <URL>.
     - Properly handle (=expand) the "~" character in key filenames. (Brought to
       attention by Eldamir on IRC. Thanks!).
     - Expand tilde operator for all other file paths handed over to X2Go Client
       via sessions file or cmdline parameter.
     - Syntax fix of x2goclient.desktop file.
     - Test for various file locations of the pulseaudio cookie file.
     - Allow patching of qmake-qt4 executable path in Makefile.
     - Make qmake-qt4 and lrelease path in Makefile easily replacable (as
       RHEL-5 does not have those tools in $PATH).
     - Make sure that build_client and build_plugin are not build with parallel
       make.
     - Make x2goplugin-provider installable via Makefile.
   * Pull-in packaging changes from Debian.
   * debian/source/format:
     + Switch to format 1.0.
   * x2goclient.spec:
     + Ship x2goclient.spec (RPM package definitions) in upstream project.
       (Thanks to the Fedora package maintainers).
     + Clear (Fedora package) changelog.
     + Make package build on Fedora/EPEL versions that do not have the
       qtbrowserplugin package.
     + For EPEL-5 builds: replace full path to qmake-qt4 and lrelease.
     + Split up package into bin:packages: x2goclient, x2goplugin,
       x2goplugin-provider.
     + Make sure lrelease-qt4 is executed (not just lrelease).
 .
   [ Ricardo Díaz Martín ]
   * New upstream versino (4.0.1.2):
     - Strip whitespaces off of user name, host name and other
       strings when loading / saving session profiles.(Fixes: #315).
     - New option --tray-icon. Force showing the tray icon, even for
       hidden sessions. Also allow creation of .desktop files with
       --tray-icon optionally being enabled. (Fixes: #316).
     - Update Spanish translation.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.2):
     - Support for keys "shadowuser" "shadowdisplay" and "shadowmode" in
       config file. This allows choosing the default display for shadow
       sessions.
     - Support for GSSApi(Kerberos 5) authentication. Using ssh/scp commands
       on Linux and Mac and plink/pscp on Windows.
     - Support for ChallengeResponseAuthentication (Google Authenticator)
     - Setting main window focus on mac (Fixes: #139).
     - Additional check if authentication with GSSApi successfull
     - c121b7e2d3d83abdc2d7a29637bc3294e38b2ec3 broke checking if remote
       command produce only stderr and not stdout. It made x2goclient crash
       if x2gostartagent send LIMIT error. Current commit fixes this issue.
     - SshMasterConnection should use current user name if no user name is
       specified in session settings
     - GSSApi(Kerberos 5) authentication for sshproxy and sshbroker
     - fixed GSSApi(Kerberos 5) authentication for sshproxy and sshbroker
       on windows
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.2):
     - Handle SSH host key changes more elegantly and allow user interaction
       if such a host key change occurs. (Fixes: #241).
 .
   [ Michael DePaulo ]
   * New upstream version (4.0.1.2):
     - win32: Add uninstall information to Add/Remove Programs. (Fixes: #230).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 15:03:06 GMT) (full text, mbox, link).


Notification sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Bug acknowledged by developer. (Tue, 17 Dec 2013 15:03:06 GMT) (full text, mbox, link).


Message sent on to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Bug#316. (Tue, 17 Dec 2013 15:03:10 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 15 Jan 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Aug 17 22:48:42 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.